Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N15GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N15GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N15GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4N15GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:17:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N15GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4N15GEMCoulombBarrier_h
 #define G4N15GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4N15GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4N15GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4N15GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4N15GEMCoulombBarrier() : G4GEMCoulombBarrierHE(15,7) {};
+//JMQ 200709
+//  G4N15GEMCoulombBarrier() : G4GEMCoulombBarrierHE(15,7) {};
+  G4N15GEMCoulombBarrier() : G4GEMCoulombBarrier(15,7) {};
   ~G4N15GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N15GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N15GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N15GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4N15GEMProbability.hh,v 1.3 2006/06/29 20:17:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N15GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N16GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N16GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N16GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4N16GEMChannel.hh,v 1.3 2006/06/29 20:18:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N16GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N16GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N16GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N16GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4N16GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:18:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N16GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4N16GEMCoulombBarrier_h
 #define G4N16GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4N16GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4N16GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4N16GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4N16GEMCoulombBarrier() : G4GEMCoulombBarrierHE(16,7) {};
+//JMQ 200709
+//  G4N16GEMCoulombBarrier() : G4GEMCoulombBarrierHE(16,7) {};
+  G4N16GEMCoulombBarrier() : G4GEMCoulombBarrier(16,7) {};
   ~G4N16GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N16GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N16GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N16GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4N16GEMProbability.hh,v 1.3 2006/06/29 20:18:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N16GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N17GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N17GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N17GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4N17GEMChannel.hh,v 1.3 2006/06/29 20:18:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N17GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N17GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N17GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N17GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4N17GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:18:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N17GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4N17GEMCoulombBarrier_h
 #define G4N17GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4N17GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4N17GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4N17GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4N17GEMCoulombBarrier() : G4GEMCoulombBarrierHE(17,7) {};
+//JMQ 200709
+//  G4N17GEMCoulombBarrier() : G4GEMCoulombBarrierHE(17,7) {};
+  G4N17GEMCoulombBarrier() : G4GEMCoulombBarrier(17,7) {};
   ~G4N17GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N17GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N17GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4N17GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4N17GEMProbability.hh,v 1.3 2006/06/29 20:18:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4N17GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na21GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na21GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na21GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Na21GEMChannel.hh,v 1.3 2006/06/29 20:18:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Na21GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na21GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na21GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na21GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,31 @@
 //
 //
-// $Id: G4Na21GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:18:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Na21GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+// Hadronic Process: Nuclear De-excitations
+// by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Na21GEMCoulombBarrier_h
 #define G4Na21GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Na21GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Na21GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Na21GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Na21GEMCoulombBarrier() : G4GEMCoulombBarrierHE(21,11) {};
+//JMQ 200709
+//  G4Na21GEMCoulombBarrier() : G4GEMCoulombBarrierHE(21,11) {};
+  G4Na21GEMCoulombBarrier() : G4GEMCoulombBarrier(21,11) {};
   ~G4Na21GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na21GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na21GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na21GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Na21GEMProbability.hh,v 1.3 2006/06/29 20:18:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Na21GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na22GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na22GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na22GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Na22GEMChannel.hh,v 1.3 2006/06/29 20:18:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Na22GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na22GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na22GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na22GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,31 @@
 //
 //
-// $Id: G4Na22GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:18:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Na22GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+// Hadronic Process: Nuclear De-excitations
+// by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Na22GEMCoulombBarrier_h
 #define G4Na22GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Na22GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Na22GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Na22GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Na22GEMCoulombBarrier() : G4GEMCoulombBarrierHE(22,11) {};
+//JMQ 200709
+//  G4Na22GEMCoulombBarrier() : G4GEMCoulombBarrierHE(22,11) {};
+  G4Na22GEMCoulombBarrier() : G4GEMCoulombBarrier(22,11) {};
   ~G4Na22GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na22GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na22GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na22GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Na22GEMProbability.hh,v 1.3 2006/06/29 20:18:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Na22GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na23GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na23GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na23GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Na23GEMChannel.hh,v 1.3 2006/06/29 20:18:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Na23GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na23GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na23GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na23GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,31 @@
 //
 //
-// $Id: G4Na23GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:18:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Na23GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+// Hadronic Process: Nuclear De-excitations
+// by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Na23GEMCoulombBarrier_h
 #define G4Na23GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Na23GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Na23GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Na23GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Na23GEMCoulombBarrier() : G4GEMCoulombBarrierHE(23,11) {};
+//JMQ 200709
+//  G4Na23GEMCoulombBarrier() : G4GEMCoulombBarrierHE(23,11) {};
+  G4Na23GEMCoulombBarrier() : G4GEMCoulombBarrier(23,11) {};
   ~G4Na23GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na23GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na23GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na23GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Na23GEMProbability.hh,v 1.3 2006/06/29 20:18:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Na23GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na24GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na24GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na24GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Na24GEMChannel.hh,v 1.3 2006/06/29 20:18:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Na24GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na24GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na24GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na24GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,31 @@
 //
 //
-// $Id: G4Na24GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:18:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Na24GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+// Hadronic Process: Nuclear De-excitations
+// by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Na24GEMCoulombBarrier_h
 #define G4Na24GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Na24GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Na24GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Na24GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Na24GEMCoulombBarrier() : G4GEMCoulombBarrierHE(24,11) {};
+//JMQ 200709
+//  G4Na24GEMCoulombBarrier() : G4GEMCoulombBarrierHE(24,11) {};
+  G4Na24GEMCoulombBarrier() : G4GEMCoulombBarrier(24,11) {};
   ~G4Na24GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na24GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na24GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na24GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Na24GEMProbability.hh,v 1.3 2006/06/29 20:18:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Na24GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na25GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na25GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na25GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Na25GEMChannel.hh,v 1.3 2006/06/29 20:18:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Na25GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na25GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na25GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na25GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,31 @@
 //
 //
-// $Id: G4Na25GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:18:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Na25GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+// Hadronic Process: Nuclear De-excitations
+// by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Na25GEMCoulombBarrier_h
 #define G4Na25GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Na25GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Na25GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Na25GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Na25GEMCoulombBarrier() : G4GEMCoulombBarrierHE(25,11) {};
+//JMQ 200709
+//  G4Na25GEMCoulombBarrier() : G4GEMCoulombBarrierHE(25,11) {};
+  G4Na25GEMCoulombBarrier() : G4GEMCoulombBarrier(25,11) {};
   ~G4Na25GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na25GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na25GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Na25GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Na25GEMProbability.hh,v 1.3 2006/06/29 20:18:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Na25GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne18GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne18GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne18GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Ne18GEMChannel.hh,v 1.3 2006/06/29 20:18:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne18GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne18GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne18GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne18GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Ne18GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:18:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne18GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Ne18GEMCoulombBarrier_h
 #define G4Ne18GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Ne18GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Ne18GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Ne18GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Ne18GEMCoulombBarrier() : G4GEMCoulombBarrierHE(18,10) {};
+//JMQ 200709
+//  G4Ne18GEMCoulombBarrier() : G4GEMCoulombBarrierHE(18,10) {};
+  G4Ne18GEMCoulombBarrier() : G4GEMCoulombBarrier(18,10) {};
   ~G4Ne18GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne18GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne18GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne18GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Ne18GEMProbability.hh,v 1.3 2006/06/29 20:18:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne18GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne19GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne19GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne19GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Ne19GEMChannel.hh,v 1.3 2006/06/29 20:18:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne19GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne19GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne19GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne19GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Ne19GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:18:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne19GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Ne19GEMCoulombBarrier_h
 #define G4Ne19GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Ne19GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Ne19GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Ne19GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Ne19GEMCoulombBarrier() : G4GEMCoulombBarrierHE(19,10) {};
+//JMQ 200709
+//  G4Ne19GEMCoulombBarrier() : G4GEMCoulombBarrierHE(19,10) {};
+  G4Ne19GEMCoulombBarrier() : G4GEMCoulombBarrier(19,10) {};
   ~G4Ne19GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne19GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne19GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne19GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Ne19GEMProbability.hh,v 1.3 2006/06/29 20:18:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne19GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne20GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne20GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne20GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Ne20GEMChannel.hh,v 1.3 2006/06/29 20:18:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne20GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
